package com.loh.model;

import java.io.Serializable;
import java.util.Date;

public class Lease implements Serializable {
    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column lease.id
     *
     * @mbg.generated
     */
    private Integer id;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column lease.landlord_id
     *
     * @mbg.generated
     */
    private Integer landlordId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column lease.contract_id
     *
     * @mbg.generated
     */
    private Integer contractId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column lease.renter_id
     *
     * @mbg.generated
     */
    private Integer renterId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column lease.start_time
     *
     * @mbg.generated
     */
    private Date startTime;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column lease.end_time
     *
     * @mbg.generated
     */
    private Date endTime;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column lease.status
     *
     * @mbg.generated
     */
    private Integer status;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table lease
     *
     * @mbg.generated
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column lease.id
     *
     * @return the value of lease.id
     *
     * @mbg.generated
     */
    public Integer getId() {
        return id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column lease.id
     *
     * @param id the value for lease.id
     *
     * @mbg.generated
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column lease.landlord_id
     *
     * @return the value of lease.landlord_id
     *
     * @mbg.generated
     */
    public Integer getLandlordId() {
        return landlordId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column lease.landlord_id
     *
     * @param landlordId the value for lease.landlord_id
     *
     * @mbg.generated
     */
    public void setLandlordId(Integer landlordId) {
        this.landlordId = landlordId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column lease.contract_id
     *
     * @return the value of lease.contract_id
     *
     * @mbg.generated
     */
    public Integer getContractId() {
        return contractId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column lease.contract_id
     *
     * @param contractId the value for lease.contract_id
     *
     * @mbg.generated
     */
    public void setContractId(Integer contractId) {
        this.contractId = contractId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column lease.renter_id
     *
     * @return the value of lease.renter_id
     *
     * @mbg.generated
     */
    public Integer getRenterId() {
        return renterId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column lease.renter_id
     *
     * @param renterId the value for lease.renter_id
     *
     * @mbg.generated
     */
    public void setRenterId(Integer renterId) {
        this.renterId = renterId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column lease.start_time
     *
     * @return the value of lease.start_time
     *
     * @mbg.generated
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column lease.start_time
     *
     * @param startTime the value for lease.start_time
     *
     * @mbg.generated
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column lease.end_time
     *
     * @return the value of lease.end_time
     *
     * @mbg.generated
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column lease.end_time
     *
     * @param endTime the value for lease.end_time
     *
     * @mbg.generated
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column lease.status
     *
     * @return the value of lease.status
     *
     * @mbg.generated
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column lease.status
     *
     * @param status the value for lease.status
     *
     * @mbg.generated
     */
    public void setStatus(Integer status) {
        this.status = status;
    }
}